Page MenuHomePhabricator

Support headless gem's video recording feature for headless Jenkins jobs
Closed, ResolvedPublic

Description

Now that we have semi-functional end-to-end tests running upon commit to Gerrit (T103039), it would be helpful to have video recordings of MW-Selenium sessions, in case debugging/troubleshooting of failures is needed.

The headless gem provides this functionality but we haven't experimented with it recently.

Instructions from headless gem: https://github.com/leonid-shevtsov/headless#capturing-video

Event Timeline

dduvall created this task.Jul 2 2015, 4:24 PM
dduvall raised the priority of this task from to Medium.
dduvall updated the task description. (Show Details)
dduvall added subscribers: dduvall, zeljkofilipin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2015, 4:24 PM
hashar updated the task description. (Show Details)Jul 6 2015, 8:23 AM
hashar set Security to None.
hashar added a subscriber: hashar.
hashar added a comment.Jul 6 2015, 8:33 AM

ffmpeg has been forked to a new project named libav. On the CI slaves, we include the puppet class mediawiki::packages::multimedia which uses ffmpeg on Precise but libav on Trusty:

class mediawiki::packages::multimedia {
    if os_version('ubuntu >= trusty') {
        $libav_package   = 'libav-tools'
    } else {
        $libav_package   = 'ffmpeg'
    }

    package { [
        $libav_package,
    ]: ensure => present
    }

While setting up a Jessie slave I encountered the issue of not having ffmpeg. It is no more included in Debian (details at T103335). So definitely want to switch to libav and the avconv program.

Change 222346 had a related patch set uploaded (by Hashar):
WIP Video recording of headless execution

https://gerrit.wikimedia.org/r/222346

dduvall claimed this task.Jul 7 2015, 3:29 PM

Change 222346 merged by jenkins-bot:
Video recording of headless execution

https://gerrit.wikimedia.org/r/222346

greg awarded a token.Jul 13 2015, 9:27 PM

Change 226650 had a related patch set uploaded (by Dduvall):
Adjust build/artifact retention for mw-selenium job

https://gerrit.wikimedia.org/r/226650

Change 226651 had a related patch set uploaded (by Dduvall):
Configure video capture for headless mw-selenium jobs

https://gerrit.wikimedia.org/r/226651

Change 226650 merged by jenkins-bot:
Adjust build/artifact retention for mw-selenium job

https://gerrit.wikimedia.org/r/226650

Change 226651 merged by jenkins-bot:
Configure video capture for headless mw-selenium jobs

https://gerrit.wikimedia.org/r/226651